| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > VBA как добавить объект в SelectionSet?

VBA как добавить объект в SelectionSet?

Ответ
Поиск в этой теме
Непрочитано 27.08.2012, 13:45 #1
VBA как добавить объект в SelectionSet?
iskatel111
 
Регистрация: 13.06.2012
Сообщений: 98

есть SelectionSet, в который выбрано чтото рамкой по координатам. Нужно добавить в этот сет еще один объект, ссылка на который есть.

Вот тут засада - нашел только метод AddItems, но он в качестве входного параметра требует указатель на другой SelectionSet... (хотя в справке написано что на массив Variant)

так как же добавить конкретный, известный объект?

ЗЫ Acad 2007
Просмотров: 2277
 
Непрочитано 27.08.2012, 13:58
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 37,079


И в чем трудность?
Код:
[Выделить все]
Option Explicit

Public Sub test()
Dim curSelSet As AcadSelectionSet
Dim obj As AcadEntity
Dim objArray() As AcadEntity
Dim pPoint As AcadPoint
Dim sSelSetName As String

  ThisDrawing.Utility.GetEntity obj, pPoint, "Select adding entity"
  
  sSelSetName = "$temp$"
  
  On Error Resume Next
  ThisDrawing.SelectionSets.Item(sSelSetName).Delete
  
  Set curSelSet = ThisDrawing.SelectionSets.Add(sSelSetName)
  
  curSelSet.SelectOnScreen
  
  MsgBox curSelSet.Count
  ReDim objArray(0)
  Set objArray(0) = obj
  
  curSelSet.AddItems objArray
  
  MsgBox curSelSet.Count
  
End Sub
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 27.08.2012, 14:31
#3
iskatel111


 
Регистрация: 13.06.2012
Сообщений: 98


Трудность в терминах, в справке тип массива Variant, контекстная подсказка выводит тип pSelSet, а оказалось все заработало с массивом типа AcadEntity...
iskatel111 вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > VBA как добавить объект в SelectionSet?

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Revit 2012: не отображаются некоторые объекты в плане, видимость включена. Rudy Revit 3 04.12.2017 22:41
Можно ли программно добавить в несколько сот файлов dwg модуль VBA? andrew_cool Программирование 4 20.07.2009 14:59
Не могу найти коды DXF для selectionset в VBA... ssn Программирование 4 06.12.2003 17:19